
/**
 * Testklasse für die Korrespondez Labyrinth zu Graph.
 * 
 * @author Albert Wiedemann
 * @version 1.0
 */
class Test
{
    /** Das Labyrinth */
    private Labyrinth l;
    /** Der zugehörige Graph */
    private GraphMatrix g;
    
    /**
     * Legt die benötigten Objekte an.
     */
    Test ()
    {
        l = new Labyrinth(40, 26);
        l.Generieren();
        g = new GraphMatrix();
        l.GraphErzeugen(g);
    }
    
    /**
     * Zeigt nur den Graphen an.
     */
    void GraphAnzeigen()
    {
        l.SichtbarkeitSetzen(false);
        g.SichtbarkeitSetzen(true);
    }
    
    /**
     * Zeigt nur das Labyrinth an.
     */
    void LabyrinthAnzeigen()
    {
        l.SichtbarkeitSetzen(true);
        g.SichtbarkeitSetzen(false);
    }
}
